/**
 * output package name
 */
package com.kingdee.eas.custom.notify.bziEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.IntEnum;

/**
 * output class name
 */
public class LevelEnum extends IntEnum
{
    public static final int PENDINGTRIAL_VALUE = 1;//alias=´ýÉó
    public static final int ANTICIPATED_VALUE = 2;//alias=´ýÔÄ
    public static final int PENDING_VALUE = 3;//alias=ÔÝ¹Ò

    public static final LevelEnum pendingtrial = new LevelEnum("pendingtrial", PENDINGTRIAL_VALUE);
    public static final LevelEnum anticipated = new LevelEnum("anticipated", ANTICIPATED_VALUE);
    public static final LevelEnum pending = new LevelEnum("pending", PENDING_VALUE);

    /**
     * construct function
     * @param integer levelEnum
     */
    private LevelEnum(String name, int levelEnum)
    {
        super(name, levelEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static LevelEnum getEnum(String levelEnum)
    {
        return (LevelEnum)getEnum(LevelEnum.class, levelEnum);
    }

    /**
     * getEnum function
     * @param String arguments
     */
    public static LevelEnum getEnum(int levelEnum)
    {
        return (LevelEnum)getEnum(LevelEnum.class, levelEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(LevelEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(LevelEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(LevelEnum.class);
    }
}